<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/dp_272"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_10dp">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="@dimen/dp_15"
            android:text="温馨提示"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <com.cooleshow.base.widgets.MaxHeightScrollView
            android:id="@+id/scroll_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scrollbars="none"
            app:layout_constraintBottom_toTopOf="@id/btn_cancel"
            app:layout_constraintStart_toStartOf="@id/tv_title"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            app:max_height="@dimen/dp_300">

            <TextView
                android:id="@+id/tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lineSpacingExtra="@dimen/dp_5"
                android:paddingStart="@dimen/dp_15"
                android:paddingTop="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_36"
                android:text=""
                android:textColor="@color/color_333333"
                android:textSize="@dimen/dp_15" />
        </com.cooleshow.base.widgets.MaxHeightScrollView>

        <TextView
            android:id="@+id/btn_cancel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_gray_left_bottom_10dp_shape"
            android:gravity="center"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_13"
            android:text="不同意"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@id/btn_commit"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/scroll_layout" />

        <TextView
            android:id="@+id/btn_commit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_green_right_bottom_10dp_shape"
            android:gravity="center"
            android:paddingTop="@dimen/dp_13"
            android:paddingBottom="@dimen/dp_13"
            android:text="同意"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/btn_cancel"
            app:layout_constraintTop_toTopOf="@id/btn_cancel" />

        <View
            style="@style/line_style"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>